package org.norberg.XmlTvToVdr;

import java.util.List;
import java.util.Vector;

/**
 * (c) 2003 Stefan Norberg (stefan@norberg.org)
 */
public class Channel {
	
	private String vdrServiceId;
	private String vdrName;
	private String xmlName;
	private List epgEvent;
	
	public Channel() {
		this.epgEvent = new Vector();
	};
	
	public Channel(String vdrServiceId, String vdrName, String xmlName) {
		this.vdrName = vdrName;
		this.vdrServiceId = vdrServiceId;
		this.xmlName = xmlName;
		this.epgEvent = new Vector();
	}
	
	public void addEvent(EpgEvent event) {
		epgEvent.add(event);
	}

	public int countEvents() {
		if (epgEvent == null) {
			return 0;
		}
		return epgEvent.size();
	}


	public String vdrFormat() {
		StringBuffer sb = new StringBuffer();
		sb.append("C " + vdrServiceId + " " + vdrName + "\n");
		for (int i = 0; i < epgEvent.size(); i++) {
			sb.append(((EpgEvent) epgEvent.get(i)).vdrFormat());
		}
		sb.append("c\n");
		return sb.toString();
	}		

	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append("*** Channel: " + vdrName + " " + xmlName + " " + vdrServiceId + "\n");
		for (int i = 0; i < epgEvent.size(); i++) {
			sb.append(epgEvent.get(i).toString());
		}
		return sb.toString();
	}		

	/**
	 * Returns the vdrName.
	 * @return String
	 */
	public String getVdrName() {
		return vdrName;
	}

	/**
	 * Returns the vdrServiceId.
	 * @return String
	 */
	public String getVdrServiceId() {
		return vdrServiceId;
	}

	/**
	 * Returns the xmlName.
	 * @return String
	 */
	public String getXmlName() {
		return xmlName;
	}

	/**
	 * Sets the vdrName.
	 * @param vdrName The vdrName to set
	 */
	public void setVdrName(String vdrName) {
		this.vdrName = vdrName;
	}

	/**
	 * Sets the vdrServiceId.
	 * @param vdrServiceId The vdrServiceId to set
	 */
	public void setVdrServiceId(String vdrServiceId) {
		this.vdrServiceId = vdrServiceId;
	}

	/**
	 * Sets the xmlName.
	 * @param xmlName The xmlName to set
	 */
	public void setXmlName(String xmlName) {
		this.xmlName = xmlName;
	}

}
