package org.norberg.XmlTvToVdr;

import java.util.ArrayList;
import java.util.Enumeration;
import java.util.Hashtable;
import java.util.List;

/**
 * (c) 2003 Stefan Norberg (stefan@norberg.org)
 */
public class ChannelFactory {
	
	private Hashtable channels;
	private static ChannelFactory instance;

	private ChannelFactory() {
		channels = new Hashtable();
	}
	
	public static ChannelFactory getInstance() {
		if (instance == null) {
			instance = new ChannelFactory();
		}
		return instance;
	}		

	public Channel getChannel(String name) {
		Channel channel = (Channel) channels.get(name);
		if (channel == null) {
			channel = new Channel();
			channel.setXmlName(name);
			channels.put(name,channel);
		}
		return channel;
	}
	
	public Channel[] getAllChannels() {
		Enumeration e = channels.elements();
		List list = new ArrayList();
		while (e.hasMoreElements()) {
			list.add(e.nextElement());
		}
		return (Channel[]) list.toArray(new Channel[list.size()]);
	}		
}
